/***************************************************************************
 *   Copyright (C) 2006 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CASTITEM_H
#define CASTITEM_H

#include <klistview.h>

/**
 * The class is for use in the feeddialog, for listing the casts for a
 * feed
 */
class CastItem : public QCheckListItem
{
public:
   /**
    * Constructor
    * @param parent The parent list
    * @param name The name of the cast
    * @param url The url of the cast
    * @param file The file name of the cast
    * @param downloaded Whether the cast is downloaded
    */
   CastItem( QListView *parent, const QString &name, const QString &url, const QString &file, bool downloaded );

   /// Returns the url of the cast
   QString url() { return m_url; }
   /// Returns whether the cast is set as downloaded
   bool downloaded();

private:
   QString m_url;
};

#endif
