/***************************************************************************
 *   Copyright (C) 2006 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FEEDCHECK_H
#define FEEDCHECK_H

#include <qobject.h>
#include <qstringlist.h>

// Forward declarations
class KProcess;
class Feeds;

/**
 * This class is used to check feeds
*/
class FeedCheck : public QObject
{
   Q_OBJECT
public:
   /// Constructor
   FeedCheck( QObject *parent, const QString &dataDir, const QString &cfgDir, Feeds *feeds, int subDirType );

   /// Starts checking the feeds
   void begin();

signals:
   /// Emitted when a message should be displayed
   void message( const QString& message );
   /// Emiited when checkfeeds has finished
   void finished( bool success );

protected slots:
   /// Called when bashpodder puts out info
   void slotScriptOut( KProcess *proc, char *buffer, int bufLen );
   /// Called when bashpodder has finished checking
   void slotScriptFinish( KProcess *proc );

private:
   QString m_dataDir;
   QString m_cfgDir;
   QStringList m_castLists;
   Feeds *m_pFeeds;
   int m_subDirType;
   int m_cast;
};

#endif
