/***************************************************************************
 *   Copyright (C) 2006 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FEEDDIALOG_H
#define FEEDDIALOG_H

#include <kdialogbase.h>

// Forward declarations
class FeedItem;
class Interval;
class QCheckBox;
class KLineEdit;
class KPushButton;
class KListView;

/**
 * A dialog for adding or modifying feeds
*/
class FeedDialog : public KDialogBase
{
   Q_OBJECT
public:
   /// Constructor
   FeedDialog( QWidget *parent, FeedItem *item );

protected slots:
   ///
   virtual void slotOk();
   /// Called when the url changed
   void slotURL( const QString &url );
   /// Download the feed details
   void slotDownload();
   /// Global interval checked
   void slotGlobalChecked( bool global );

private:
   FeedItem *m_pItem;

   KLineEdit *m_pName;
   QCheckBox *m_pRetName;
   KLineEdit *m_pURL;
   KPushButton *m_pDownload;
   QCheckBox *m_pUseGlobal;
   Interval *m_pInterval;

   KListView *m_pView;
};

#endif
