/***************************************************************************
 *   Copyright (C) 2006 by Leon Pennington                                 *
 *   leon@leonscape.co.uk                                                  *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "kpodder.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A KDE Podcast downloader");

static const char version[] = "0.6";

static KCmdLineOptions options[] =
{
    { "+[URL]", I18N_NOOP( "Feed to add" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("kpodder", I18N_NOOP("KPodder"), version, description,
		     KAboutData::License_GPL, "(C) 2006 Leon Pennington", 0, 0, "leon@leonscape.co.uk");
    about.addAuthor( "Leon Pennington", 0, "leon@leonscape.co.uk", "http://www.leonscape.co.uk/" );
    about.addCredit( "Linc Fessenden", I18N_NOOP( "The Creator of BashPodder" ), "linc.fessenden@gmail.com", "http://linc.homeunix.org:8080/" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    KPodder *mainWin = 0;

    if (app.isRestored())
    {
        RESTORE(KPodder);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        mainWin = new KPodder();
        app.setMainWidget( mainWin );

        if ( args->count() > 0 )
        {
           int i = 0;
           for (; i < args->count(); i++ )
              mainWin->addFeed( args->url( i ).url() );
        }

        mainWin->show();
        args->clear();
    }

    // mainWin has WDestructiveClose flag by default, so it will delete itself.
    return app.exec();
}

